<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: arm_compute/core/CL/CLKernels.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_c_l_kernels_8h_source.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">CLKernels.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_c_l_kernels_8h.xhtml">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2016, 2017 ARM Limited.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * SPDX-License-Identifier: MIT</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a copy</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * of this software and associated documentation files (the &quot;Software&quot;), to</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * deal in the Software without restriction, including without limitation the</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * sell copies of the Software, and to permit persons to whom the Software is</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * furnished to do so, subject to the following conditions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * The above copyright notice and this permission notice shall be included in all</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * copies or substantial portions of the Software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * SOFTWARE.</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#ifndef __ARM_COMPUTE_CLKERNELS_H__</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#define __ARM_COMPUTE_CLKERNELS_H__</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment">/* Header regrouping all the CL kernels */</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_absolute_difference_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLAbsoluteDifferenceKernel.h</a>&quot;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_accumulate_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLAccumulateKernel.h</a>&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_activation_layer_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLActivationLayerKernel.h</a>&quot;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_arithmetic_addition_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLArithmeticAdditionKernel.h</a>&quot;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_arithmetic_subtraction_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLArithmeticSubtractionKernel.h</a>&quot;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_bitwise_and_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLBitwiseAndKernel.h</a>&quot;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_bitwise_not_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLBitwiseNotKernel.h</a>&quot;</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_bitwise_or_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLBitwiseOrKernel.h</a>&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_bitwise_xor_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLBitwiseXorKernel.h</a>&quot;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_box3x3_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLBox3x3Kernel.h</a>&quot;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_canny_edge_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLCannyEdgeKernel.h</a>&quot;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_channel_combine_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLChannelCombineKernel.h</a>&quot;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_channel_extract_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLChannelExtractKernel.h</a>&quot;</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_col2_im_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLCol2ImKernel.h</a>&quot;</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_color_convert_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLColorConvertKernel.h</a>&quot;</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_convolution_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLConvolutionKernel.h</a>&quot;</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_convolution_layer_weights_reshape_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLConvolutionLayerWeightsReshapeKernel.h</a>&quot;</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_depth_convert_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLDepthConvertKernel.h</a>&quot;</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_derivative_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLDerivativeKernel.h</a>&quot;</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_dilate_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLDilateKernel.h</a>&quot;</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_erode_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLErodeKernel.h</a>&quot;</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_fast_corners_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLFastCornersKernel.h</a>&quot;</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_fill_border_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLFillBorderKernel.h</a>&quot;</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_g_e_m_m_interleave4x4_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLGEMMInterleave4x4Kernel.h</a>&quot;</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_g_e_m_m_lowp_matrix_multiply_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLGEMMLowpMatrixMultiplyKernel.h</a>&quot;</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_g_e_m_m_matrix_accumulate_biases_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLGEMMMatrixAccumulateBiasesKernel.h</a>&quot;</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_g_e_m_m_matrix_addition_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLGEMMMatrixAdditionKernel.h</a>&quot;</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_g_e_m_m_matrix_multiply_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLGEMMMatrixMultiplyKernel.h</a>&quot;</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_g_e_m_m_transpose1x_w_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLGEMMTranspose1xWKernel.h</a>&quot;</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_gaussian3x3_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLGaussian3x3Kernel.h</a>&quot;</span></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_gaussian5x5_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLGaussian5x5Kernel.h</a>&quot;</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_gaussian_pyramid_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLGaussianPyramidKernel.h</a>&quot;</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_harris_corners_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLHarrisCornersKernel.h</a>&quot;</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_histogram_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLHistogramKernel.h</a>&quot;</span></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_im2_col_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLIm2ColKernel.h</a>&quot;</span></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_integral_image_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLIntegralImageKernel.h</a>&quot;</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_l_k_tracker_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLLKTrackerKernel.h</a>&quot;</span></div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_magnitude_phase_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLMagnitudePhaseKernel.h</a>&quot;</span></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_mean_std_dev_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLMeanStdDevKernel.h</a>&quot;</span></div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_median3x3_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLMedian3x3Kernel.h</a>&quot;</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_min_max_location_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLMinMaxLocationKernel.h</a>&quot;</span></div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_non_linear_filter_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLNonLinearFilterKernel.h</a>&quot;</span></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_non_maxima_suppression3x3_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLNonMaximaSuppression3x3Kernel.h</a>&quot;</span></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_normalization_layer_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLNormalizationLayerKernel.h</a>&quot;</span></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_pixel_wise_multiplication_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLPixelWiseMultiplicationKernel.h</a>&quot;</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_pooling_layer_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLPoolingLayerKernel.h</a>&quot;</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_remap_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLRemapKernel.h</a>&quot;</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_scale_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLScaleKernel.h</a>&quot;</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_scharr3x3_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLScharr3x3Kernel.h</a>&quot;</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_sobel3x3_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLSobel3x3Kernel.h</a>&quot;</span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_sobel5x5_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLSobel5x5Kernel.h</a>&quot;</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_sobel7x7_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLSobel7x7Kernel.h</a>&quot;</span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_softmax_layer_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLSoftmaxLayerKernel.h</a>&quot;</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_table_lookup_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLTableLookupKernel.h</a>&quot;</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_threshold_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLThresholdKernel.h</a>&quot;</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_transpose_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLTransposeKernel.h</a>&quot;</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_warp_affine_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLWarpAffineKernel.h</a>&quot;</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_c_l_warp_perspective_kernel_8h.xhtml">arm_compute/core/CL/kernels/CLWarpPerspectiveKernel.h</a>&quot;</span></div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* __ARM_COMPUTE_CLKERNELS_H__ */</span><span class="preprocessor"></span></div><div class="ttc" id="_c_l_sobel3x3_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_sobel3x3_kernel_8h.xhtml">CLSobel3x3Kernel.h</a></div></div>
<div class="ttc" id="_c_l_sobel5x5_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_sobel5x5_kernel_8h.xhtml">CLSobel5x5Kernel.h</a></div></div>
<div class="ttc" id="_c_l_scale_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_scale_kernel_8h.xhtml">CLScaleKernel.h</a></div></div>
<div class="ttc" id="_c_l_remap_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_remap_kernel_8h.xhtml">CLRemapKernel.h</a></div></div>
<div class="ttc" id="_c_l_table_lookup_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_table_lookup_kernel_8h.xhtml">CLTableLookupKernel.h</a></div></div>
<div class="ttc" id="_c_l_g_e_m_m_matrix_accumulate_biases_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_g_e_m_m_matrix_accumulate_biases_kernel_8h.xhtml">CLGEMMMatrixAccumulateBiasesKernel.h</a></div></div>
<div class="ttc" id="_c_l_activation_layer_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_activation_layer_kernel_8h.xhtml">CLActivationLayerKernel.h</a></div></div>
<div class="ttc" id="_c_l_threshold_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_threshold_kernel_8h.xhtml">CLThresholdKernel.h</a></div></div>
<div class="ttc" id="_c_l_col2_im_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_col2_im_kernel_8h.xhtml">CLCol2ImKernel.h</a></div></div>
<div class="ttc" id="_c_l_dilate_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_dilate_kernel_8h.xhtml">CLDilateKernel.h</a></div></div>
<div class="ttc" id="_c_l_canny_edge_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_canny_edge_kernel_8h.xhtml">CLCannyEdgeKernel.h</a></div></div>
<div class="ttc" id="_c_l_l_k_tracker_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_l_k_tracker_kernel_8h.xhtml">CLLKTrackerKernel.h</a></div></div>
<div class="ttc" id="_c_l_integral_image_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_integral_image_kernel_8h.xhtml">CLIntegralImageKernel.h</a></div></div>
<div class="ttc" id="_c_l_min_max_location_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_min_max_location_kernel_8h.xhtml">CLMinMaxLocationKernel.h</a></div></div>
<div class="ttc" id="_c_l_warp_affine_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_warp_affine_kernel_8h.xhtml">CLWarpAffineKernel.h</a></div></div>
<div class="ttc" id="_c_l_convolution_layer_weights_reshape_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_convolution_layer_weights_reshape_kernel_8h.xhtml">CLConvolutionLayerWeightsReshapeKernel.h</a></div></div>
<div class="ttc" id="_c_l_non_maxima_suppression3x3_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_non_maxima_suppression3x3_kernel_8h.xhtml">CLNonMaximaSuppression3x3Kernel.h</a></div></div>
<div class="ttc" id="_c_l_histogram_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_histogram_kernel_8h.xhtml">CLHistogramKernel.h</a></div></div>
<div class="ttc" id="_c_l_gaussian3x3_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_gaussian3x3_kernel_8h.xhtml">CLGaussian3x3Kernel.h</a></div></div>
<div class="ttc" id="_c_l_gaussian5x5_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_gaussian5x5_kernel_8h.xhtml">CLGaussian5x5Kernel.h</a></div></div>
<div class="ttc" id="_c_l_gaussian_pyramid_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_gaussian_pyramid_kernel_8h.xhtml">CLGaussianPyramidKernel.h</a></div></div>
<div class="ttc" id="_c_l_sobel7x7_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_sobel7x7_kernel_8h.xhtml">CLSobel7x7Kernel.h</a></div></div>
<div class="ttc" id="_c_l_pixel_wise_multiplication_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_pixel_wise_multiplication_kernel_8h.xhtml">CLPixelWiseMultiplicationKernel.h</a></div></div>
<div class="ttc" id="_c_l_channel_combine_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_channel_combine_kernel_8h.xhtml">CLChannelCombineKernel.h</a></div></div>
<div class="ttc" id="_c_l_median3x3_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_median3x3_kernel_8h.xhtml">CLMedian3x3Kernel.h</a></div></div>
<div class="ttc" id="_c_l_pooling_layer_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_pooling_layer_kernel_8h.xhtml">CLPoolingLayerKernel.h</a></div></div>
<div class="ttc" id="_c_l_g_e_m_m_interleave4x4_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_g_e_m_m_interleave4x4_kernel_8h.xhtml">CLGEMMInterleave4x4Kernel.h</a></div></div>
<div class="ttc" id="_c_l_arithmetic_subtraction_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_arithmetic_subtraction_kernel_8h.xhtml">CLArithmeticSubtractionKernel.h</a></div></div>
<div class="ttc" id="_c_l_non_linear_filter_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_non_linear_filter_kernel_8h.xhtml">CLNonLinearFilterKernel.h</a></div></div>
<div class="ttc" id="_c_l_bitwise_and_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_bitwise_and_kernel_8h.xhtml">CLBitwiseAndKernel.h</a></div></div>
<div class="ttc" id="_c_l_channel_extract_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_channel_extract_kernel_8h.xhtml">CLChannelExtractKernel.h</a></div></div>
<div class="ttc" id="_c_l_bitwise_xor_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_bitwise_xor_kernel_8h.xhtml">CLBitwiseXorKernel.h</a></div></div>
<div class="ttc" id="_c_l_im2_col_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_im2_col_kernel_8h.xhtml">CLIm2ColKernel.h</a></div></div>
<div class="ttc" id="_c_l_softmax_layer_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_softmax_layer_kernel_8h.xhtml">CLSoftmaxLayerKernel.h</a></div></div>
<div class="ttc" id="_c_l_g_e_m_m_lowp_matrix_multiply_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_g_e_m_m_lowp_matrix_multiply_kernel_8h.xhtml">CLGEMMLowpMatrixMultiplyKernel.h</a></div></div>
<div class="ttc" id="_c_l_transpose_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_transpose_kernel_8h.xhtml">CLTransposeKernel.h</a></div></div>
<div class="ttc" id="_c_l_magnitude_phase_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_magnitude_phase_kernel_8h.xhtml">CLMagnitudePhaseKernel.h</a></div></div>
<div class="ttc" id="_c_l_warp_perspective_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_warp_perspective_kernel_8h.xhtml">CLWarpPerspectiveKernel.h</a></div></div>
<div class="ttc" id="_c_l_accumulate_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_accumulate_kernel_8h.xhtml">CLAccumulateKernel.h</a></div></div>
<div class="ttc" id="_c_l_bitwise_or_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_bitwise_or_kernel_8h.xhtml">CLBitwiseOrKernel.h</a></div></div>
<div class="ttc" id="_c_l_scharr3x3_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_scharr3x3_kernel_8h.xhtml">CLScharr3x3Kernel.h</a></div></div>
<div class="ttc" id="_c_l_fill_border_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_fill_border_kernel_8h.xhtml">CLFillBorderKernel.h</a></div></div>
<div class="ttc" id="_c_l_normalization_layer_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_normalization_layer_kernel_8h.xhtml">CLNormalizationLayerKernel.h</a></div></div>
<div class="ttc" id="_c_l_harris_corners_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_harris_corners_kernel_8h.xhtml">CLHarrisCornersKernel.h</a></div></div>
<div class="ttc" id="_c_l_g_e_m_m_matrix_multiply_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_g_e_m_m_matrix_multiply_kernel_8h.xhtml">CLGEMMMatrixMultiplyKernel.h</a></div></div>
<div class="ttc" id="_c_l_color_convert_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_color_convert_kernel_8h.xhtml">CLColorConvertKernel.h</a></div></div>
<div class="ttc" id="_c_l_absolute_difference_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_absolute_difference_kernel_8h.xhtml">CLAbsoluteDifferenceKernel.h</a></div></div>
<div class="ttc" id="_c_l_g_e_m_m_matrix_addition_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_g_e_m_m_matrix_addition_kernel_8h.xhtml">CLGEMMMatrixAdditionKernel.h</a></div></div>
<div class="ttc" id="_c_l_depth_convert_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_depth_convert_kernel_8h.xhtml">CLDepthConvertKernel.h</a></div></div>
<div class="ttc" id="_c_l_box3x3_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_box3x3_kernel_8h.xhtml">CLBox3x3Kernel.h</a></div></div>
<div class="ttc" id="_c_l_g_e_m_m_transpose1x_w_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_g_e_m_m_transpose1x_w_kernel_8h.xhtml">CLGEMMTranspose1xWKernel.h</a></div></div>
<div class="ttc" id="_c_l_bitwise_not_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_bitwise_not_kernel_8h.xhtml">CLBitwiseNotKernel.h</a></div></div>
<div class="ttc" id="_c_l_derivative_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_derivative_kernel_8h.xhtml">CLDerivativeKernel.h</a></div></div>
<div class="ttc" id="_c_l_erode_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_erode_kernel_8h.xhtml">CLErodeKernel.h</a></div></div>
<div class="ttc" id="_c_l_convolution_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_convolution_kernel_8h.xhtml">CLConvolutionKernel.h</a></div></div>
<div class="ttc" id="_c_l_mean_std_dev_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_mean_std_dev_kernel_8h.xhtml">CLMeanStdDevKernel.h</a></div></div>
<div class="ttc" id="_c_l_arithmetic_addition_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_arithmetic_addition_kernel_8h.xhtml">CLArithmeticAdditionKernel.h</a></div></div>
<div class="ttc" id="_c_l_fast_corners_kernel_8h_xhtml"><div class="ttname"><a href="_c_l_fast_corners_kernel_8h.xhtml">CLFastCornersKernel.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_214608ef36d61442cb2b0c1c4e9a7def.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="dir_1fb090f0c6070330bfaccc4236d3ca0d.xhtml">core</a></li><li class="navelem"><a class="el" href="dir_1633709b037eda5b8477677909f78129.xhtml">CL</a></li><li class="navelem"><a class="el" href="_c_l_kernels_8h.xhtml">CLKernels.h</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
